Pseudo-Greek to Native Greek Converter

07/21/2012 07:58 AM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

Create converter that will take the pseudo-Greek (using English characters to make the accents) to native Greek characters. See

Perseus for how the characters are converted:

 keyCaps.gif 

Associated revisions

Revision 8 - 09/02/2012 03:32 AM - Luke Murphey

Added library for converting beta-code to Greek unicode (closes #381)

Revision 8 - 09/02/2012 03:32 AM - Luke Murphey

Added library for converting beta-code to Greek unicode (closes #381)

Revision 7 - 09/02/2012 03:32 AM - Luke Murphey

Added library for converting beta-code to Greek unicode (closes #381)

History

#1 - 07/21/2012 07:58 AM - Luke Murphey

- Tracker changed from Feature to Task

- Assignee set to Luke Murphey

- Target version set to 0.1

- Start date deleted (07/21/2012)

#2 - 08/31/2012 06:04 AM - Luke Murphey

See:

http://www.koders.com/python/fid2DA93B3800C279AE363CE264F690F7790B99BBC4.aspx?s=cdef%3Aconfig

http://jtauber.com/blog/2005/01/27/betacode_to_unicode_in_python/

http://en.wikipedia.org/wiki/Beta_code

#3 - 08/31/2012 06:18 AM - Luke Murphey

Some things to consider testing:

1. Proper conversion of final sigma

2. non-beta characters (pass through to end-result)

#4 - 09/01/2012 09:28 AM - Luke Murphey

- Status changed from New to In Progress
http://www.koders.com/python/fid2DA93B3800C279AE363CE264F690F7790B99BBC4.aspx?s=cdef%3Aconfig
http://jtauber.com/blog/2005/01/27/betacode_to_unicode_in_python/
http://en.wikipedia.org/wiki/Beta_code


#5 - 09/02/2012 02:33 AM - Luke Murphey

Here is the best description of beta-code I have found: http://www.tlg.uci.edu/encoding/quickbeta.pdf

#6 - 09/02/2012 03:34 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset r8.
http://www.tlg.uci.edu/encoding/quickbeta.pdf
https://lukemurphey.net/projects/ancient-text-reader/repository/revisions/8
